Bug 732480 - Review Request: gofer - An extensible, light weight, universal python agent
Summary: Review Request: gofer - An extensible, light weight, universal python agent
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: John Matthews
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-22 15:44 UTC by Jeff Ortel
Modified: 2016-09-27 14:41 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-27 14:41:42 UTC
jmatthew: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jeff Ortel 2011-08-22 15:44:56 UTC
Spec URL: https://fedorahosted.org/releases/g/o/gofer/gofer.spec
SRPM URL: https://fedorahosted.org/releases/g/o/gofer/gofer-0.46-1.fc14.src.rpm
Description: Gofer provides an extensible, light weight, universal python agent.  The gofer core agent is a python daemon (service) that provides an infrastructure for exposing a remote API and for running Recurring Actions. The APIs provided by plugins are accessible by Remote Method Invocation (RMI). The transport for RMI is AMQP using the QPID message broker. Actions are also provided by plugins and are executed at the specified interval.

See also: https://fedorahosted.org/gofer

Comment 1 Jeff Ortel 2011-08-22 15:51:47 UTC
[jortel@localhost gofer]$ rpmlint /tmp/tito/gofer-0.46-1.fc14.src.rpm 
gofer.src:25: W: unversioned-explicit-obsoletes %{name}-lib
gofer.src:104: W: libdir-macro-in-noarch-package (main package) %{_libdir}/%{name}/plugins/
gofer.src:137: W: macro-in-%changelog %files
gofer.src:141: W: macro-in-%changelog %doc
1 packages and 0 specfiles checked; 0 errors, 4 warnings.

Comment 2 Jeff Ortel 2011-08-23 20:21:10 UTC
During some follow up testing of gofer 0.46 on a clean VM, I found that I'd gone too far when cleaning up rpmlint warnings.  I accidentally replaced "etc" in the source of some file copies in %build with the %{_sysconfdir} which causes the 0.46 rpm build to fail on a clean machine.  I fixed this and tagged as 0.47.  I also cleaned up a few warning about macros in the changelog.  So, please review using:

SRPM URL: https://fedorahosted.org/releases/g/o/gofer/gofer-0.47-1.fc14.src.rpm

Also:

[jortel@localhost gofer]$ rpmlint /tmp/tito/gofer-0.47-1.fc14.src.rpm
gofer.src:25: W: unversioned-explicit-obsoletes %{name}-lib
gofer.src:104: W: libdir-macro-in-noarch-package (main package) %{_libdir}/%{name}/plugins/
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

Sorry for the confusion.

Comment 3 Jeff Ortel 2011-09-09 21:18:17 UTC
Review comments applied:
  - /var replaced with %{_var} for consistency.
  - permissions fixed for /etc/gofer/agent.conf
  - description expanded to match wiki (minus gopher sentence).
  - %define macro replaced with: %global

SRPM URL: https://fedorahosted.org/releases/g/o/gofer/gofer-0.48-1.fc14.src.rpm

Comment 4 John Matthews 2011-09-09 21:39:14 UTC
From: http://fedoraproject.org/wiki/Packaging:ReviewGuidelines

== MUST ==
[x]: rpmlint must be run on the source rpm and all binary rpms the build produces. 
 $ rpmlint gofer-0.48-1.fc14.src.rpm 
gofer.src:31: W: unversioned-explicit-obsoletes %{name}-lib
gofer.src:110: W: libdir-macro-in-noarch-package (main package) %{_libdir}/%{name}/plugins/
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

$ rpmlint /var/lib/mock/fedora-15-i386/result/gofer-0.48-1.fc15.noarch.rpm 
gofer.noarch: W: conffile-without-noreplace-flag /etc/gofer/plugins/watchdog.conf
gofer.noarch: W: conffile-without-noreplace-flag /etc/gofer/plugins/builtin.conf
gofer.noarch: W: log-files-without-logrotate /var/log/gofer
gofer.noarch: W: no-manual-page-for-binary goferd
gofer.noarch: W: service-default-enabled /etc/init.d/goferd
gofer.noarch: W: no-reload-entry /etc/init.d/goferd
1 packages and 0 specfiles checked; 0 errors, 6 warnings.

$ rpmlint /var/lib/mock/fedora-15-i386/result/ruby-gofer-0.48-1.fc15.noarch.rpm 
ruby-gofer.noarch: E: world-writable /var/lib/gofer/journal 0777L
ruby-gofer.noarch: E: non-standard-dir-perm /var/lib/gofer/journal 0777L
1 packages and 0 specfiles checked; 2 errors, 0 warnings.

$ rpmlint /var/lib/mock/fedora-15-i386/result/python-gofer-0.48-1.fc15.noarch.rpm 
python-gofer.noarch: W: obsolete-not-provided gofer-lib
python-gofer.noarch: E: world-writable /var/lib/gofer/journal 0777L
python-gofer.noarch: E: non-standard-dir-perm /var/lib/gofer/journal 0777L
1 packages and 0 specfiles checked; 2 errors, 1 warnings.

[x]: The package must be named according to the Package Naming Guidelines .
[x]: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption. 
[x]: The package must meet the Packaging Guidelines .
[x]: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
[x]: The License field in the package spec file must match the actual license. 
[x]: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[x]: The spec file must be written in American English. 
[x]: The spec file for the package MUST be legible. 
[x]: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
  $ md5sum gofer-0.48.tar.gz 
  0486ed9a9a559d7d060c8d96c6f5024c  gofer-0.48.tar.gz
  $ md5sum tmp/gofer-0.48.tar.gz 
  0486ed9a9a559d7d060c8d96c6f5024c  tmp/gofer-0.48.tar.gz
[x]: The package MUST successfully compile and build into binary rpms on at least one primary architecture. 
[N/A]: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line. 
[x]: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
[N/A]: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[N/A]: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. 
[x]: Packages must NOT bundle copies of system libraries.
[N/A]: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker. 
[x]: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. 
[x]: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)
[x]: Permissions on files must be set properly. Executables should be set with executable permissions, for example. 
[x]: Each package must consistently use macros. 
[x]: The package must contain code, or permissable content. 
[N/A]: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity). 
[x]: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. 
[N/A]: Header files must be in a -devel package. 
[N/A]: Static libraries must be in a -static package. 
[N/A]: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package. 
[N/A]: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release} 
[x]: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[N/A]: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation. 
[x]: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. 
[x]: All filenames in rpm packages must be valid UTF-8. 

== SHOULD ==

[x]: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it. 
[N/A]: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available. 
[x]: The reviewer should test that the package builds in mock. 
[x]: The package should compile and build into binary rpms on all supported architectures. 
     Verified i386 & x86_64 with:
     mock -r fedora-15-x86_64 --rebuild gofer-0.48-1.fc14.src.rpm
     mock -r fedora-15-i386 --rebuild gofer-0.48-1.fc14.src.rpm
[x]: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
[x]: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity. 
[x]: Usually, subpackages other than devel should require the base package using a fully versioned dependency. 
  Note:  python-gofer and ruby-gofer do not require gofer RPM.  This is intended.  The python-gofer and ruby-gofer RPMs are client libraries providing access to a gofer agent which may run on a remote machine.

[N/A]: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb. 
[x]: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself. 
[Missing]: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.
    Note: No man pages present

Comment 5 John Matthews 2011-09-09 21:51:06 UTC
Points to note on review:

1) From rpmlint:
  /var/lib/gofer/journal is mode 0777
    - I spoke with Jeff, this is intentional.  The directory is used by the watchdog functionality in gofer and requires a shared location on disk that is accessible and writeable by all

2) From rplmint:
  gofer.src:110: W: libdir-macro-in-noarch-package (main package)
%{_libdir}/%{name}/plugins/
  Gofer is storing python plugins (non C compiled code) in /usr/lib/gofer/plugins
  Similar to behavior seen with yum and it's plugins.
    - I discussed this point with Jeff and feel this is sane.

3) subpackages python-gofer and ruby-gofer do not require parent package.
    - This is intentional.  As noted, python-gofer and ruby-gofer are client libraries to access a gofer agent.  There is a use case for them being installed alone, without the parent rpm, 'gofer'.

Comment 6 Dennis Gilmore 2011-09-09 22:32:47 UTC
%{_libdir}/%{name}/plugins/

should likely be 
%{_datadir}/%{name}/plugins/ which expands to /usr/share/gopher/plugins

Comment 7 Jeff Ortel 2011-09-12 13:45:49 UTC
Thanks for you comments Dennis.

I did some searching for a definition of the Linux Directory Structure that is more definitive that my own understanding.  Most definitions seemed to agree that /usr/lib was for libraries or program parts used by programs in /usr/bin.  I didn't see anything that required the programs or program parts be compiled.  Since we routinely put non-binaries like shell scripts and python modules in /usr/bin, I still assert that putting python modules in /usr/lib is acceptable.  As mentioned, other fedora packages such as yum already set some precedent for this.  Since /usr/bin/goferd loads these modules, it seems to fit.  That said, I also read that /opt is for optional program parts, extensions or resources for programs in /usr/bin.  If determined that /usr/lib is not an acceptable location for gofer plugin modules, I think /opt/gofer/plugins would be a good alternative.

As for /var/lib/gofer/journal, based on my research, I /think/ /usr/share/gofer/journal would be a better location for this.  The /usr/share directory seems to be for "shared" data.  I'll try it this morning and see if rpmlint will find this location more acceptable.

Comment 8 Jeff Ortel 2011-09-13 22:44:06 UTC
In 0.48-3, I moved /usr/lib/gofer/journal to /usr/share/gofer/journal and rpmlint seems much happier.  I believe this is more appropriate.

I also added noreplace: %config(noreplace) per rpmlint warnings. 

SRPM URL: https://fedorahosted.org/releases/g/o/gofer/gofer-0.48-3.fc14.src.rpm

RPMLINT:

[jortel@localhost gofer]$ rpmlint /tmp/tito/gofer-0.48-3.fc14.src.rpm
gofer.src:31: W: unversioned-explicit-obsoletes %{name}-lib
gofer.src:110: W: libdir-macro-in-noarch-package (main package) %{_libdir}/%{name}/plugins/
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

[jortel@localhost gofer]$ rpmlint /tmp/tito/noarch/gofer-0.48-3.fc14.noarch.rpm
gofer.noarch: W: log-files-without-logrotate /var/log/gofer
gofer.noarch: W: no-manual-page-for-binary goferd
gofer.noarch: W: service-default-enabled /etc/init.d/goferd
gofer.noarch: W: no-reload-entry /etc/init.d/goferd
1 packages and 0 specfiles checked; 0 errors, 4 warnings.

Comment 9 Jeff Ortel 2011-09-23 21:22:13 UTC
After review of FHS standards, it seems that /usr/share is for static data only.  Seems that /var/lib/gofer/journal is more appropriate.  But, rpmlint has a fit over the 777 perms.  I wonder how we can resolve this?

http://www.pathname.com/fhs/pub/fhs-2.3.html#USRSHAREARCHITECTUREINDEPENDENTDATA

Comment 10 John Matthews 2011-09-26 14:18:26 UTC
I agree, /var/lib/gofer/journal seems more appropriate.

As to the rpmlint error, we know the directory is world readable/writable and it is the intended behavior.

I'd recommend we add a note in the .spec that this is intended behavior.

Comment 11 Jeff Ortel 2011-09-27 20:40:29 UTC
I moved the journal back to /var/lib/gofer/journal/watchdog with permissions acceptable to rpmlint.  Also notice that 0.49 has a few more sub-packages.

Spec URL: https://fedorahosted.org/releases/g/o/gofer/gofer.spec
SRPM URL: https://fedorahosted.org/releases/g/o/gofer/gofer-0.49-1.fc14.src.rpm

Looks rpmlint has the opposite issue with /var/log/gofer.  This directory is closed down to owner (root) only because sensitive data is logged.

gofer.noarch: E: non-standard-dir-perm /var/log/gofer 0700L

I can probably deal with this the same was as the journal directory.

rpmlint on all packages:

gofer.src:83: W: libdir-macro-in-noarch-package (main package) %{_libdir}/%{name}/plugins/builtin.*
gofer.src:104: W: unversioned-explicit-obsoletes %{name}-lib
gofer.src:170: W: libdir-macro-in-noarch-package gofer-system %{_libdir}/%{name}/plugins/system.*
gofer.src:192: W: libdir-macro-in-noarch-package gofer-watchdog %{_libdir}/%{name}/plugins/watchdog.*
gofer.src:214: W: libdir-macro-in-noarch-package gofer-virt %{_libdir}/%{name}/plugins/virt.*
gofer.noarch: E: non-standard-dir-perm /var/log/gofer 0700L
gofer.noarch: W: log-files-without-logrotate /var/log/gofer
gofer.noarch: W: no-manual-page-for-binary goferd
gofer.noarch: W: service-default-enabled /etc/init.d/goferd
gofer.noarch: W: no-reload-entry /etc/init.d/goferd
python-gofer.noarch: W: obsolete-not-provided gofer-lib
gofer-system.noarch: W: only-non-binary-in-usr-lib
gofer-watchdog.noarch: W: only-non-binary-in-usr-lib
gofer-virt.noarch: W: spelling-error Summary(en_US) virtualization -> actualization, visualization, contextualization
gofer-virt.noarch: W: spelling-error Summary(en_US) plugin -> plug in, plug-in, plugging
gofer-virt.noarch: W: spelling-error %description -l en_US virtualization -> actualization, visualization, contextualization
gofer-virt.noarch: W: spelling-error %description -l en_US plugin -> plug in, plug-in, plugging
gofer-virt.noarch: W: spelling-error %description -l en_US libvirt -> liberty, Liberty, librate
gofer-virt.noarch: W: only-non-binary-in-usr-lib
7 packages and 0 specfiles checked; 1 errors, 18 warnings.

Comment 12 Jeff Ortel 2011-09-27 21:07:32 UTC
Complaint: gofer.noarch: E: non-standard-dir-perm /var/log/gofer 0700L has been addressed.

Spec URL: https://fedorahosted.org/releases/g/o/gofer/gofer.spec
SRPM URL: https://fedorahosted.org/releases/g/o/gofer/gofer-0.49-2.fc14.src.rpm

No rpmlint errors:

gofer.src:83: W: libdir-macro-in-noarch-package (main package) %{_libdir}/%{name}/plugins/builtin.*
gofer.src:105: W: unversioned-explicit-obsoletes %{name}-lib
gofer.src:171: W: libdir-macro-in-noarch-package gofer-system %{_libdir}/%{name}/plugins/system.*
gofer.src:193: W: libdir-macro-in-noarch-package gofer-watchdog %{_libdir}/%{name}/plugins/watchdog.*
gofer.src:215: W: libdir-macro-in-noarch-package gofer-virt %{_libdir}/%{name}/plugins/virt.*
gofer.noarch: W: log-files-without-logrotate /var/log/gofer
gofer.noarch: W: no-manual-page-for-binary goferd
gofer.noarch: W: service-default-enabled /etc/init.d/goferd
gofer.noarch: W: no-reload-entry /etc/init.d/goferd
python-gofer.noarch: W: obsolete-not-provided gofer-lib
gofer-system.noarch: W: only-non-binary-in-usr-lib
gofer-watchdog.noarch: W: only-non-binary-in-usr-lib
gofer-virt.noarch: W: spelling-error Summary(en_US) virtualization -> actualization, visualization, contextualization
gofer-virt.noarch: W: spelling-error Summary(en_US) plugin -> plug in, plug-in, plugging
gofer-virt.noarch: W: spelling-error %description -l en_US virtualization -> actualization, visualization, contextualization
gofer-virt.noarch: W: spelling-error %description -l en_US plugin -> plug in, plug-in, plugging
gofer-virt.noarch: W: spelling-error %description -l en_US libvirt -> liberty, Liberty, librate
gofer-virt.noarch: W: only-non-binary-in-usr-lib
7 packages and 0 specfiles checked; 0 errors, 18 warnings.

Comment 13 Jeff Ortel 2011-09-27 23:53:08 UTC
John,

Please use the following when continuing the review:

Spec URL: https://fedorahosted.org/releases/g/o/gofer/gofer.spec
SRPM URL: https://fedorahosted.org/releases/g/o/gofer/gofer-0.49-3.fc14.src.rpm

Comment 14 Jeff Ortel 2011-10-19 20:55:34 UTC
Upstream .spec updated to 0.50-1.

Spec URL: https://fedorahosted.org/releases/g/o/gofer/gofer.spec
SRPM URL: https://fedorahosted.org/releases/g/o/gofer/gofer-0.50-1.fc14.src.rpm

Comment 15 John Matthews 2011-10-24 17:14:51 UTC
Updated rpmlint info for version 0.50-1

$ rpmlint gofer-0.50-1.fc14.src.rpm 
gofer.src:83: W: libdir-macro-in-noarch-package (main package) %{_libdir}/%{name}/plugins/builtin.*
gofer.src:105: W: unversioned-explicit-obsoletes %{name}-lib
gofer.src:171: W: libdir-macro-in-noarch-package gofer-system %{_libdir}/%{name}/plugins/system.*
gofer.src:193: W: libdir-macro-in-noarch-package gofer-watchdog %{_libdir}/%{name}/plugins/watchdog.*
gofer.src:215: W: libdir-macro-in-noarch-package gofer-virt %{_libdir}/%{name}/plugins/virt.*
1 packages and 0 specfiles checked; 0 errors, 5 warnings.


$ rpmlint /var/lib/mock/fedora-15-x86_64/result/gofer-0.50-1.fc15.noarch.rpm 
gofer.noarch: W: log-files-without-logrotate /var/log/gofer
gofer.noarch: W: no-manual-page-for-binary goferd
gofer.noarch: W: service-default-enabled /etc/init.d/goferd
gofer.noarch: W: no-reload-entry /etc/init.d/goferd
1 packages and 0 specfiles checked; 0 errors, 4 warnings.

$ rpmlint /var/lib/mock/fedora-15-x86_64/result/gofer-system-0.50-1.fc15.noarch.rpm 
gofer-system.noarch: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


$ rpmlint /var/lib/mock/fedora-15-x86_64/result/gofer-virt-0.50-1.fc15.noarch.rpm 
gofer-virt.noarch: W: spelling-error Summary(en_US) virtualization -> actualization, visualization, conceptualization
gofer-virt.noarch: W: spelling-error Summary(en_US) plugin -> plug in, plug-in, plugging
gofer-virt.noarch: W: spelling-error %description -l en_US virtualization -> actualization, visualization, conceptualization
gofer-virt.noarch: W: spelling-error %description -l en_US plugin -> plug in, plug-in, plugging
gofer-virt.noarch: W: spelling-error %description -l en_US libvirt -> liberty, Liberty, librate
gofer-virt.noarch: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 0 errors, 6 warnings.



$ rpmlint /var/lib/mock/fedora-15-x86_64/result/gofer-watchdog-0.50-1.fc15.noarch.rpm 
gofer-watchdog.noarch: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Comment 16 John Matthews 2011-10-24 17:18:51 UTC
$ rpmlint /var/lib/mock/fedora-15-x86_64/result/python-gofer-0.50-1.fc15.noarch.rpm 
python-gofer.noarch: W: obsolete-not-provided gofer-lib
1 packages and 0 specfiles checked; 0 errors, 1 warnings


$ rpmlint /var/lib/mock/fedora-15-x86_64/result/ruby-gofer-0.50-1.fc15.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Comment 17 John Matthews 2011-10-24 17:23:24 UTC
APPROVED.

See comment #4 for in package review checklist and latest rpmlint output in comment #15 and comment #16.

Comment 18 Jeff Ortel 2011-10-28 15:35:11 UTC
New Package SCM Request
=======================
Package Name: gofer
Short Description: An extensible, light weight, universal python agent.
Owners: jortel
Branches: f14 f15 f16 el5 el6
InitialCC:

Comment 19 Gwyn Ciesla 2011-10-28 16:05:31 UTC
Git done (by process-git-requests).

Comment 20 Fedora Update System 2011-11-01 19:35:14 UTC
gofer-0.54-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/gofer-0.54-1.fc16

Comment 21 Fedora Update System 2011-11-01 19:35:23 UTC
gofer-0.54-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/gofer-0.54-1.el6

Comment 22 Fedora Update System 2011-11-01 19:35:30 UTC
gofer-0.54-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/gofer-0.54-1.el5

Comment 23 Fedora Update System 2011-11-01 19:35:39 UTC
gofer-0.54-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/gofer-0.54-1.fc14

Comment 24 Fedora Update System 2011-11-01 19:35:47 UTC
gofer-0.54-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/gofer-0.54-1.fc15

Comment 25 Fedora Update System 2011-11-19 19:59:26 UTC
gofer-0.54-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 26 Fedora Update System 2011-11-19 23:28:47 UTC
gofer-0.54-1.fc15 has been pushed to the Fedora 15 stable repository.

Comment 27 Fedora Update System 2011-11-19 23:33:33 UTC
gofer-0.54-1.fc16 has been pushed to the Fedora 16 stable repository.

Comment 28 Fedora Update System 2011-11-19 23:33:50 UTC
gofer-0.54-1.fc14 has been pushed to the Fedora 14 stable repository.

Comment 29 Charalampos Stratakis 2016-09-27 14:41:42 UTC
Since the package has been built for quite some time now, the review request bugzilla should be closed.


Note You need to log in before you can comment on or make changes to this bug.